Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class Int2ObjectMap

    java.lang.Object
      de.grogra.util.Int2ObjectMap

    public class Int2ObjectMap

extends java.lang.Object

Constructor Summary
`Int2ObjectMap()`
`Int2ObjectMap(int capacity)`
`Int2ObjectMap(int[] keys, int off, int len)`

Method Summary
`void` | `clear()`
`Int2ObjectMap` | `dup()`
`int` | `findIndex(int key)`
`java.lang.Object` | `get(int key)`
`int` | `getKeyAt(int index)`
`int[]` | `getKeys(int[] array)`
`java.lang.Object` | `getValueAt(int index)`
`java.lang.Object[]` | `getValues(java.lang.Object[] array)`
`java.lang.Object` | `put(int key, java.lang.Object value)`
`java.lang.Object` | `remove(int key)`
`void` | `setValueAt(int index, java.lang.Object value)`
`int` | `size()`
`java.lang.Object` | `synchronizedGet(int key)`
`java.lang.Object` | `synchronizedPut(int key, java.lang.Object value)`
`java.lang.Object` | `synchronizedRemove(int key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Int2ObjectMap

    public Int2ObjectMap()

### Int2ObjectMap

    public Int2ObjectMap(int capacity)

### Int2ObjectMap

    public Int2ObjectMap(int[] keys,
                         int off,
                         int len)

Method Detail

### clear

    public void clear()

### dup

    public Int2ObjectMap dup()

### findIndex

    public int findIndex(int key)

### get

    public final java.lang.Object get(int key)

### getKeyAt

    public int getKeyAt(int index)

### getKeys

    public int[] getKeys(int[] array)

### getValueAt

    public java.lang.Object getValueAt(int index)

### getValues

    public java.lang.Object[] getValues(java.lang.Object[] array)

### put

    public final java.lang.Object put(int key,
                                      java.lang.Object value)

### remove

    public final java.lang.Object remove(int key)

### setValueAt

    public void setValueAt(int index,
                           java.lang.Object value)

### size

    public int size()

### synchronizedGet

    public final java.lang.Object synchronizedGet(int key)

### synchronizedPut

    public final java.lang.Object synchronizedPut(int key,
                                                  java.lang.Object value)

### synchronizedRemove

    public final java.lang.Object synchronizedRemove(int key)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD